import { DomainEvent } from "./domain-event";
export declare abstract class AggregateRoot {
    private _domainEvents;
    get domainEvents(): DomainEvent<any>[];
    protected addEvent(domainEvent: DomainEvent<any>): void;
    clearEvents(): void;
    publishEvents(notifier: any): Promise<void>;
}
